from Algorithm import distance, getNeighbors, normalizer
from LoadData import lodData
#here is an example for loading data
d1 = lodData('p$dData/1-dead.xlsx', "dead")
d2 = lodData('p$dData/2-dead.xlsx', "dead")
d3 = lodData('p$dData/3-dead.xlsx', "dead")
d4 = lodData('p$dData/4-dead.xlsx', "dead")
d5 = lodData('p$dData/5-dead.xlsx', "dead")
d6 = lodData('p$dData/6-dead.xlsx', "dead")
d7 = lodData('p$dData/7-dead.xlsx', "dead")
p1 = lodData('p$dData/1-patient.xlsx', "alive")
p2 = lodData('p$dData/2-patient.xlsx', "alive")
p3 = lodData('p$dData/3-patient.xlsx', "alive")
p4 = lodData('p$dData/4-patient.xlsx', "alive")
p5 = lodData('p$dData/5-patient.xlsx', "alive")
p6 = lodData('p$dData/6-patient.xlsx', "alive")
p7 = lodData('p$dData/7-patient.xlsx', "alive")
p8 = lodData('p$dData/8-patient.xlsx', "alive")
p9 = lodData('p$dData/9-patient.xlsx', "alive")
p10 = lodData('p$dData/10-patient.xlsx', "alive")
p11 = lodData('p$dData/11-patient.xlsx', "alive")
p12 = lodData('p$dData/12-patient.xlsx', "alive")
p13 = lodData('p$dData/13-patient.xlsx', "alive")
p14 = lodData('p$dData/14-patient.xlsx', "alive")
p15 = lodData('p$dData/15-patient.xlsx', "alive")
p16 = lodData('p$dData/16-patient.xlsx', "alive")
p17 = lodData('p$dData/17-patient.xlsx', "alive")
p18 = lodData('p$dData/18-patient.xlsx', "alive")
p19 = lodData('p$dData/19-patient.xlsx', "alive")
p20 = lodData('p$dData/20-patient.xlsx', "alive")
p21 = lodData('p$dData/21-patient.xlsx', "alive")
p22 = lodData('p$dData/22-patient.xlsx', "alive")
p23 = lodData('p$dData/23-patient.xlsx', "alive")
p24 = lodData('p$dData/24-patient.xlsx', "alive")
p25 = lodData('p$dData/25-patient.xlsx', "alive")

# d1 = normalizer(d1)
# d2 = normalizer(d2)
# d3 = normalizer(d3)
# d4 = normalizer(d4)
# d5 = normalizer(d5)
# d6 = normalizer(d6)
# d7 = normalizer(d7)
# p1 = normalizer(p1)
# p2 = normalizer(p2)
# p3 = normalizer(p3)
# p4 = normalizer(p4)
# p5 = normalizer(p5)
# p6 = normalizer(p6)
# p7 = normalizer(p7)
# p8 = normalizer(p8)
# p9 = normalizer(p9)
# p10 = normalizer(p10)
# p11 = normalizer(p11)
# p12 = normalizer(p12)
# p13 = normalizer(p13)
# p14 = normalizer(p14)
# p15 = normalizer(p15)
# p16 = normalizer(p16)
# p17 = normalizer(p17)
# p18 = normalizer(p18)
# p19 = normalizer(p19)
# p20 = normalizer(p20)
# p21 = normalizer(p21)
# p22 = normalizer(p22)
# p23 = normalizer(p23)
# p24 = normalizer(p24)
# p25 = normalizer(p25)


trainSet = [d1, d2, d3, d4, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12, p13, p14, p15, p16, p17, p18, p19, p20]
testInstance = d7

neighbors = getNeighbors(trainSet, testInstance, 2)
print neighbors[0][-1]
print neighbors[1][-1]
